<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Title</h1>
    <p>Live Data: <span id="name"></span></p>
</body>

<script>
    // Taking the span tag reference from the DOM
    const nameSpan = document.getElementById("name")

    // Creating a function that will request information from our backend
    // This function also updates the content of our span element
    async function performRequest() {
        const data = await fetch("http://localhost:3000/api/live")
        const obj = await data.json()
        nameSpan.innerHTML = obj.date
    }
    // Repeating every half-second the function
    setInterval(() => {
        performRequest()
    }, 500)
</script>

</html>